#
# spec file for package deepin-voice-note
#
# Copyright (c) 2024 SUSE LLC
# Copyright (c) 2021 Hillwood Yang <hillwood@opensuse.org>
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via https://bugs.opensuse.org/
#


%if 0%{?is_opensuse}
    %define  distribution  openSUSE-Edition
%else
    %define  distribution  SUSE-Edition
%endif
%define gtest_version    %(rpm -q --queryformat '%%{VERSION}' gtest)

Name:           deepin-voice-note
Version:        5.10.18
Release:        2.2
License:        GPL-3.0-or-later
Summary:        Deepin Voice Note
URL:            https://github.com/linuxdeepin/deepin-voice-note
Group:          Productivity/Multimedia/Video/Editors and Convertors
Source0:        https://github.com/linuxdeepin/deepin-voice-note/archive/%{version}/%{name}-%{version}.tar.gz
%ifarch ppc ppc64 ppc64le s390 s390x
BuildRequires:  deepin-desktop-base
%else
BuildRequires:  deepin-manual
%endif
BuildRequires:  fdupes
BuildRequires:  gtest
BuildRequires:  libqt5-linguist
BuildRequires:  update-desktop-files
BuildRequires:  pkgconfig(Qt5DBus)
BuildRequires:  pkgconfig(Qt5Gui)
BuildRequires:  pkgconfig(Qt5Multimedia)
BuildRequires:  pkgconfig(Qt5Sql)
BuildRequires:  pkgconfig(Qt5Svg)
BuildRequires:  pkgconfig(Qt5Test)
BuildRequires:  pkgconfig(Qt5WebEngineWidgets)
BuildRequires:  pkgconfig(Qt5Widgets)
BuildRequires:  pkgconfig(Qt5Xml)
BuildRequires:  pkgconfig(dframeworkdbus)
BuildRequires:  pkgconfig(dtkcore)
BuildRequires:  pkgconfig(dtkwidget)
BuildRequires:  pkgconfig(gstreamer-1.0)
BuildRequires:  pkgconfig(libvlc)
Recommends:     %{name}-lang
# Qt5WebEngineWidgets is invalid on these arches
ExcludeArch:    ppc ppc64 ppc64le s390 s390x
BuildRoot:      %{_tmppath}/%{name}-%{version}-build

%description
Voice Notes is a lightweight memo tool to make text notes and voice and audio
recordings.

%lang_package

%prep
%setup -q
sed -i 's/lupdate/lupdate-qt5/g;s/lrelease/lrelease-qt5/g' assets/translate_generation.sh
%if "%{gtest_version}" >= "1.14.0"
sed -i '/CMAKE_CXX_STANDARD/s|11|14|g' CMakeLists.txt
%endif

%build
%cmake -DCMAKE_BUILD_TYPE=Release \
       -DAPP_VERSION=%{version}-%{distribution} \
       -DVERSION=%{version}-%{distribution}
%cmake_build

%install
%cmake_install

%suse_update_desktop_file -r %{name} Audio AudioVideoEditing
%fdupes %{buildroot}

%files
%doc README.md
%license LICENSE
%{_bindir}/%{name}
%dir %{_datadir}/%{name}
%{_datadir}/%{name}/%{name}.conf
%{_datadir}/%{name}/web
%{_datadir}/deepin-manual/manual-assets/application/%{name}
%{_datadir}/icons/hicolor/scalable/apps/%{name}.svg
%{_datadir}/applications/%{name}.desktop

%files lang
%{_datadir}/%{name}/translations

%changelog
* Thu Mar 28 2024 Hillwood Yang <hillwood@opensuse.org>
- Fix build on gtest 1.14.0
* Thu Aug 25 2022 Hillwood Yang <hillwood@opensuse.org>
- Update version to 5.10.18
  * Fix bugs
  * Optimize ui
* Sat Jul  2 2022 Hillwood Yang <hillwood@opensuse.org>
- Update version to 5.10.17
  * Drop invalid dependences
* Thu Apr 21 2022 Hillwood Yang <hillwood@opensuse.org>
- Update version to 5.10.15
  * Update documents
  * Fix bugs
  * Optimize ui
  * Update translations
* Mon Mar 21 2022 Hillwood Yang <hillwood@opensuse.org>
- Update version to 5.10.14
  * Add CI script
  * Fix bugs
* Sun Jan 30 2022 Hillwood Yang <hillwood@opensuse.org>
- Update version to 5.10.12
  * Add some new features
  * Fix bugs
  * Update documents
  * Update translations
* Fri Jul 30 2021 Hillwood Yang <hillwood@opensuse.org>
- Update version to 5.9.7
  * Optimize support for touchpad
  * Add some interfaces
  * fix bugs
* Fri Jun  4 2021 Hillwood Yang <hillwood@opensuse.org>
- Stop owning directories provided by filesystem and other packages
  (every dir should only have one owner) (boo#1184786)
* Sat Apr 17 2021 Hillwood Yang <hillwood@opensuse.org>
- Initial package for version 5.9.0.12
